Subject: Confirmation letter
From: Aparna Jain <[email-masked]>
To: Ashish Dabral <[email-masked]>
Date: Mon, 27 Dec 2021 07:44:16 -0700 (MST)

Hello Sir, 

I was just merely curious to know if you have got a chance to make the requested documents. I guess, I have been following up with you more than a months. I am guessing the hustle is real but I would really appreciate if you share this at your earliest convenience. If there is something you want me to do concerning this, I would be happy to speak to anyone in the management. I hope it wouldn't take much longer now. 

Best Regards, 
Aparna Jain